GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ObjectFactory Class Reference

## Public Member Functions
| ObjectFactory ()
ListOfParcelShop | createListOfParcelShop ()
ParcelShop | createParcelShop ()
Location | createLocation ()
Vacations | createVacations ()
WorkingDay | createWorkingDay ()
Area | createArea ()
ParcelShopSearchDistance | createParcelShopSearchDistance ()
ParcelShopSearchLocation | createParcelShopSearchLocation ()
InvalidParcelShopIDFault | createInvalidParcelShopIDFault ()
OpeningClosingHours | createOpeningClosingHours ()
Hours | createHours ()
UnitItem | createUnitItem ()
PODItem | createPODItem ()
JAXBElement< String > | createParcelShopID (String value)
JAXBElement< String > | createCountryCode (String value)
JAXBElement< ParcelShopType > | createParcelShopType (ParcelShopType value)

## Detailed Description

This object contains factory methods for each Java content interface and Java element interface generated in the eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Definition at line 25 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/ObjectFactory.java.

## Constructor & Destructor Documentation

## ◆ ObjectFactory()

eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ObjectFactory.ObjectFactory | ( |  | ) |

Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop

Definition at line 35 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/ObjectFactory.java.

## Member Function Documentation

## ◆ createArea()

Area eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ObjectFactory.createArea | ( |  | ) |

Create an instance of Area

Definition at line 82 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/ObjectFactory.java.

## ◆ createCountryCode()

JAXBElement<String> eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ObjectFactory.createCountryCode | ( | String | value | ) |

Create an instance of JAXBElement

<

String

>

Parameters

  value | Java instance representing xml element's value.

Returns
  the new instance of JAXBElement
  <
  String
  >

Definition at line 164 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/ObjectFactory.java.

## ◆ createHours()

Hours eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ObjectFactory.createHours | ( |  | ) |

Create an instance of Hours

Definition at line 122 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/ObjectFactory.java.

## ◆ createInvalidParcelShopIDFault()

InvalidParcelShopIDFault eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ObjectFactory.createInvalidParcelShopIDFault | ( |  | ) |

Create an instance of InvalidParcelShopIDFault

Definition at line 106 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/ObjectFactory.java.

## ◆ createListOfParcelShop()

ListOfParcelShop eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ObjectFactory.createListOfParcelShop | ( |  | ) |

Create an instance of ListOfParcelShop

Definition at line 42 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/ObjectFactory.java.

## ◆ createLocation()

Location eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ObjectFactory.createLocation | ( |  | ) |

Create an instance of Location

Definition at line 58 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/ObjectFactory.java.

## ◆ createOpeningClosingHours()

OpeningClosingHours eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ObjectFactory.createOpeningClosingHours | ( |  | ) |

Create an instance of OpeningClosingHours

Definition at line 114 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/ObjectFactory.java.

## ◆ createParcelShop()

ParcelShop eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ObjectFactory.createParcelShop | ( |  | ) |

Create an instance of ParcelShop

Definition at line 50 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/ObjectFactory.java.

## ◆ createParcelShopID()

JAXBElement<String> eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ObjectFactory.createParcelShopID | ( | String | value | ) |

Create an instance of JAXBElement

<

String

>

Parameters

  value | Java instance representing xml element's value.

Returns
  the new instance of JAXBElement
  <
  String
  >

Definition at line 151 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/ObjectFactory.java.

## ◆ createParcelShopSearchDistance()

ParcelShopSearchDistance eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ObjectFactory.createParcelShopSearchDistance | ( |  | ) |

Create an instance of ParcelShopSearchDistance

Definition at line 90 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/ObjectFactory.java.

## ◆ createParcelShopSearchLocation()

ParcelShopSearchLocation eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ObjectFactory.createParcelShopSearchLocation | ( |  | ) |

Create an instance of ParcelShopSearchLocation

Definition at line 98 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/ObjectFactory.java.

## ◆ createParcelShopType()

JAXBElement<ParcelShopType> eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ObjectFactory.createParcelShopType | ( | ParcelShopType | value | ) |

Create an instance of JAXBElement

<

ParcelShopType

>

Parameters

  value | Java instance representing xml element's value.

Returns
  the new instance of JAXBElement
  <
  ParcelShopType
  >

Definition at line 177 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/ObjectFactory.java.

## ◆ createPODItem()

PODItem eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ObjectFactory.createPODItem | ( |  | ) |

Create an instance of PODItem

Definition at line 138 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/ObjectFactory.java.

## ◆ createUnitItem()

UnitItem eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ObjectFactory.createUnitItem | ( |  | ) |

Create an instance of UnitItem

Definition at line 130 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/ObjectFactory.java.

## ◆ createVacations()

Vacations eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ObjectFactory.createVacations | ( |  | ) |

Create an instance of Vacations

Definition at line 66 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/ObjectFactory.java.

## ◆ createWorkingDay()

WorkingDay eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ObjectFactory.createWorkingDay | ( |  | ) |

Create an instance of WorkingDay

Definition at line 74 of file glsgroup/fpcs/datatypes/soap/v1/parcelshop/ObjectFactory.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/parcelshop/ObjectFactory.java